# RTIambassador.cc File Reference

`#include "RTI.hh"`
`#include "fedtime.hh"`
`#include "RTIambPrivateRefs.hh"`
`#include "RTItypesImp.hh"`
`#include "FedRegion.hh"`
`#include "Message.hh"`
`#include "PrettyDebug.hh"`
`#include <unistd.h>`
`#include <iostream>`
`#include <signal.h>`
`#include <cassert>`
`#include <cerrno>`
`#include <typeinfo>`

Go to the source code of this file.

## Functions
std::vector< RTI::Handle > | build_region_handles (RTI::Region **regions, int nb) throw (RTI::RegionNotKnown)
RTI::Handle | get_handle (const RTI::Region &region) throw (RTI::RegionNotKnown, RTI::RTIinternalError)
char * | hla_strdup (const std::string &s) throw (RTI::RTIinternalError)
## Variables
static pdCDebug | D ("LIBRTI", __FILE__)
static PrettyDebug | G ("GENDOC", __FILE__)

## Function Documentation

std::vector<RTI::Handle> @119::build_region_handles | ( | RTI::Region ** | regions,
|  | int | nb |
| ) |  |  | throw (RTI::RegionNotKnown)`[static]`

Definition at line 60 of file RTIambassador.cc.

Referenced by RTI::RTIambassador::registerObjectInstanceWithRegion().

RTI::Handle @119::get_handle | ( | const RTI::Region & | region | ) | throw (RTI::RegionNotKnown, RTI::RTIinternalError)`[static]`

Definition at line 77 of file RTIambassador.cc.

Referenced by RTI::RTIambassador::associateRegionForUpdates(), RTI::RTIambassador::getRegionToken(), RTI::RTIambassador::requestClassAttributeValueUpdateWithRegion(), RTI::RTIambassador::sendInteractionWithRegion(), RTI::RTIambassador::subscribeInteractionClassWithRegion(), RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(), RTI::RTIambassador::unassociateRegionForUpdates(), RTI::RTIambassador::unsubscribeInteractionClassWithRegion(), and RTI::RTIambassador::unsubscribeObjectClassWithRegion().

char* @119::hla_strdup | ( | const std::string & | s | ) | throw (RTI::RTIinternalError)`[static]`

Definition at line 90 of file RTIambassador.cc.

Referenced by RTI::RTIambassador::getAttributeName(), RTI::RTIambassador::getDimensionName(), RTI::RTIambassador::getInteractionClassName(), RTI::RTIambassador::getObjectClassName(), RTI::RTIambassador::getObjectInstanceName(), RTI::RTIambassador::getOrderingName(), RTI::RTIambassador::getParameterName(), RTI::RTIambassador::getRoutingSpaceName(), and RTI::RTIambassador::getTransportationName().

## Variable Documentation

pdCDebug D("LIBRTI", __FILE__)`[static]`

PrettyDebug G("GENDOC", __FILE__)`[static]`